petsc-3.13.6 2020-09-29
Report Typos and Errors

# TaoBRGNSetRegularizerHessianRoutine

Sets the user-defined regularizer call-back function into the algorithm.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoBRGNSetRegularizerHessianRoutine(Tao tao,Mat Hreg,PetscErrorCode (*func)(Tao,Vec,Mat,void*),void *ctx)

### Input Parameters

+ tao - the Tao context . Hreg - user-created matrix for the Hessian of the regularization term . func - function pointer for the regularizer Hessian evaluation - ctx - user context for the regularizer Hessian

### Level

advanced

### Location

src/tao/leastsquares/impls/brgn/brgn.c

### Examples

src/tao/leastsquares/tutorials/tomography.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages